P4Submit (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.perforce.P4Submit class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class P4Submit

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.perforce.P4Base
                  org.apache.tools.ant.taskdefs.optional.perforce.P4Submit

All Implemented Interfaces:
  java.lang.Cloneable

    public class P4Submit

extends P4Base

Submits a numbered changelist to Perforce. Note: P4Submit cannot (yet) submit the default changelist. This shouldn't be a problem with the ANT task as the usual flow is P4Change to create a new numbered change followed by P4Edit then P4Submit. Example Usage:-
<p4submit change="${p4.change}" />

Nested Class Summary
`class` | `P4Submit.P4SubmitAdapter` internal class used to process the output of p4 submit

Field Summary
`java.lang.String` | `change` change list number

Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`P4Submit()`

Method Summary
`void` | `execute()` do the work
`void` | `setChange(java.lang.String change)` set the change list number to submit
`void` | `setChangeProperty(java.lang.String changeProperty)` property defining the change number if the change number gets renumbered
`void` | `setNeedsResolveProperty(java.lang.String needsResolveProperty)` property defining the need to resolve the change list

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### change

    public java.lang.String change

  change list number

Constructor Detail

### P4Submit

    public P4Submit()

Method Detail

### setChange

    public void setChange(java.lang.String change)

  set the change list number to submit

  Parameters:
    `change` - The changelist number to submit; required.

### setChangeProperty

    public void setChangeProperty(java.lang.String changeProperty)

  property defining the change number if the change number gets renumbered

  Parameters:
    `changeProperty` - name of a new property to which the change number will be assigned if it changes
  Since:
    ant 1.6.1

### setNeedsResolveProperty

    public void setNeedsResolveProperty(java.lang.String needsResolveProperty)

  property defining the need to resolve the change list

  Parameters:
    `needsResolveProperty` - a property which will be set if the change needs resolve
  Since:
    ant 1.6.1

### execute

    public void execute()
                 throws BuildException

  do the work

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if no change list specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD